import { Request } from "express";
interface CurdOptions {
    entity: any;
    req: Request;
    params: {
        [key: string]: any;
    };
}
declare class Curd {
    private entity;
    private req;
    private queryParams;
    private repositrory;
    constructor(options: CurdOptions);
    add(): Promise<{
        code: number;
        data: any;
    }>;
    delete(): Promise<{
        code: number;
        msg: string;
    }>;
    update(): Promise<{
        code: number;
        data: any;
    }>;
    query(): Promise<unknown[]>;
}
export default function (options: CurdOptions): Curd;
export {};
